from uci import train_uci

Datasets = ['boston', 'protein'] #, 'concrete', 'energy', 'wine', 'yacht']
Depths = [2, 5]
splits = 1

for dataset in Datasets:
    if dataset == 'boston':
        device='cpu'
    elif dataset == 'protein':
        device='cuda'
    for depth in Depths:
        for split in range(splits):
            for model in ['dgp', 'dwp', 'idwp', 'ibdwp']:
                output_fn = 'timing_results/{}_{}_d{}_s{}'.format(model, depth, dataset, split)
                train_uci(output_fn, model, dataset, split, depth, device=device, thin=False, timing=True)

                

